<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License

	Best Sellers v1.0 released
*/

  require('includes/application_top.php');

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_BEST_SELLERS);

  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_BEST_SELLERS));

  require(DIR_WS_INCLUDES . 'template_top.php');
?>

<div class="page-header">
  <h1><?php echo HEADING_TITLE; ?></h1>
</div>

<div class="contentText">
<?php
  $best_sellers_array = array();

  $best_sellers_query_raw = "select p.products_id, p.products_ordered, pd.products_name, p.products_image, p.products_price, p.products_tax_class_id, p.products_date_added, m.manufacturers_name from " . TABLE_PRODUCTS . " p left join " . TABLE_MANUFACTURERS . " m on (p.manufacturers_id = m.manufacturers_id), " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_ordered > 0 and p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "' order by p.products_ordered DESC, pd.products_name";
  $best_sellers_split = new splitPageResults($best_sellers_query_raw, MAX_DISPLAY_PRODUCTS_NEW);

  if (($best_sellers_split->number_of_rows > 0) && ((PREV_NEXT_BAR_LOCATION == '1') || (PREV_NEXT_BAR_LOCATION == '3'))) {
?>

    <br />

    <div>
      <span style="float: right;"><?php echo TEXT_RESULT_PAGE . ' ' . $best_sellers_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y'))); ?></span>

      <span><?php echo $best_sellers_split->display_count(TEXT_DISPLAY_NUMBER_OF_BEST_SELLERS); ?></span>
    </div>

    <br />

<?php
  }

  if ($best_sellers_split->number_of_rows > 0) {
?>
  <div class="ui-widget infoBoxContainer">
    <div class="ui-widget-header ui-corner-top infoBoxHeading">

    <table border="0" width="100%" cellspacing="0" cellpadding="0" class="productListingHeader">
  	  <tr>
  	    <td width="25%">&nbsp;</td>
  	    <td width="60%"><?php echo TABLE_HEADING_PRODUCT; ?></td>
  	    <td width="15%"><?php echo TABLE_HEADING_BUY_NOW; ?></td>
  	  </tr>
    </table>

    </div>
    <div class="ui-widget-content ui-corner-bottom">

    <table border="0" width="100%" cellspacing="0" cellpadding="2">

<?php
    $best_sellers_query = tep_db_query($best_sellers_split->sql_query);
    while ($best_sellers = tep_db_fetch_array($best_sellers_query)) {
      if ($new_price = tep_get_products_special_price($best_sellers['products_id'])) {
      	$products_price = '<del>' . $currencies->display_price($best_sellers['products_price'], tep_get_tax_rate($best_sellers['products_tax_class_id'])) . '</del> <span class="productSpecialPrice">' . $currencies->display_price($new_price, tep_get_tax_rate($best_sellers['products_tax_class_id'])) . '</span>';
      } else {
        $products_price = $currencies->display_price($best_sellers['products_price'], tep_get_tax_rate($best_sellers['products_tax_class_id']));
      }
?>
      <tr>
        <td width="<?php echo SMALL_IMAGE_WIDTH + 10; ?>" valign="top" class="main"><?php echo '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $best_sellers['products_id']) . '">' . tep_image(DIR_WS_IMAGES . $best_sellers['products_image'], $best_sellers['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a>'; ?></td>
        <td valign="top" class="main">
<?php
		echo '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $best_sellers['products_id']) . '"><strong><u>' . $best_sellers['products_name'] . '</u></strong></a><br />';
		echo TEXT_DATE_ADDED . tep_date_long($best_sellers['products_date_added']) . '<br />';
		if (tep_not_null($best_sellers['manufacturers_name'])) {
		  echo TEXT_MANUFACTURER . ' ' . $best_sellers['manufacturers_name'] . '<br />';
		} else {
		  echo '<br />';
		}
		echo TEXT_SOLD . $best_sellers['products_ordered'];
?>
		</td>
        <td align="center" valign="middle"><?php echo tep_draw_button(IMAGE_BUTTON_IN_CART, 'cart', tep_href_link(FILENAME_PRODUCTS_NEW, tep_get_all_get_params(array('action', 'products_id')) . 'action=buy_now&products_id=' . $best_sellers['products_id'])); ?>
        </td>
      </tr>
<?php
    }
?>

    </table>

  </div>
</div>

<?php
  } else {
?>

    <div>
      <?php echo TEXT_NO_BEST_SELLERS; ?>
    </div>

<?php
  }

  if (($best_sellers_split->number_of_rows > 0) && ((PREV_NEXT_BAR_LOCATION == '2') || (PREV_NEXT_BAR_LOCATION == '3'))) {
?>

    <br />

    <div>
      <span style="float: right;"><?php echo TEXT_RESULT_PAGE . ' ' . $best_sellers_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y'))); ?></span>

      <span><?php echo $best_sellers_split->display_count(TEXT_DISPLAY_NUMBER_OF_BEST_SELLERS); ?></span>
    </div>

    <br />

<?php
  }
?>

</div>

<?php
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
